-- (c) Xavier Ferrair Peir, aka Mortimer of Outland EU - Horde
-- no code in this file may be used in other works without expressed permission

--GUILD RANK
local tooltip=CreateFrame("Frame")

local GameTooltip, GetGuildInfo = GameTooltip, GetGuildInfo
	tooltip:SetScript("OnEvent",function()
	name, unit = GameTooltip:GetUnit()
		local _, rank = GetGuildInfo("mouseover")
		if UnitIsPlayer(unit) then
			if rank then
				--GameTooltipTextLeft2:SetTextColor(0.2, 0.8, 8) -- r g b guild for all
				GameTooltip:AddLine("|cffdf7401Guild Rank: |cffF39633"..rank)
				GameTooltip:Show()
			end
			if rank and not UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft3:SetTextColor(0.1, 0.9, 0.1) -- r g b friendly with guild
				GameTooltip:Show()
			end
			-- COLORING GUILD NAME
			if rank and UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft3:SetTextColor(2, 0.1, 0.1) -- r g b hostile with guild
				GameTooltip:Show()
			end
			if not rank and not UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetTextColor(0.1, 0.9, 0.1) -- r g b friendly no guild
				GameTooltip:Show()
			end
			-- COLORING GUILD NAME
			if not rank and UnitIsEnemy("player","mouseover") then
				GameTooltipTextLeft2:SetTextColor(2, 0.1, 0.1) -- r g b hostile no guild
				GameTooltip:Show()
			end
		end
	end)

tooltip:RegisterEvent("UPDATE_MOUSEOVER_UNIT")
--END GUILD RANK

--SYSTEM ID
function itemtooltip_func()
GameTooltip:SetBackdropColor(0, 0, 0, 1) -- NICE 1
GameTooltip:SetBackdropBorderColor(0, 0, 0) -- NICE 1
GameTooltip:Show() -- NICE 1
	itemName,itemLink = GameTooltip:GetItem()
	if itemLink ~= nil then	   
		local itemString = string.match(itemLink, "item[%-?%d:]+")
		local _, itemId, enchantId, jewelId1, jewelId2, jewelId3, 
		jewelId4, suffixId, uniqueId, linkLevel, reforgeId = strsplit(":", itemString)
		GameTooltip:AddLine("|cffdf7401Item ID: |cffF39633"..itemId)
		GameTooltip:Show();
	end
	--SPELL ID
	spellName, spellRank, spellID = GameTooltip:GetSpell()
	if spellID then
		GameTooltip:AddLine("|cffdf7401Spell ID: |cffF39633"..spellID)
		GameTooltip:Show();
	end
	--END SPELL ID
end
GameTooltip:SetScript("OnShow",itemtooltip_func)
--END SYSTEM ID

hooksecurefunc(GameTooltip, "SetUnitBuff", function(self,...)
   local id = select(11,UnitBuff(...))
   if id then
      self:AddLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

hooksecurefunc(GameTooltip, "SetUnitDebuff", function(self,...)
   local id = select(11,UnitDebuff(...))
   if id then
      self:AddDoubleLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

hooksecurefunc(GameTooltip, "SetUnitAura", function(self,...)
   local id = select(11,UnitAura(...))
   if id then
      self:AddLine("|cffdf7401Spell ID: |cffF39633"..id)
      self:Show()
   end
end)

-- CLASSCOLOR NAMES
local rGameTooltip_cColor = GameTooltip_UnitColor
function GameTooltip_UnitColor(unit)
	if UnitIsPlayer(unit) then 
		local color = RAID_CLASS_COLORS[select(2,UnitClass(unit))]
		return color.r, color.g, color.b
	elseif UnitIsTapped(unit) and not UnitIsTappedByPlayer(unit) or not UnitIsConnected(unit) or UnitIsDead(unit) then
		local color = {r = 0.6, g = 0.6, b = 0.6}
		return color.r, color.g, color.b
	else
		return rGameTooltip_cColor(unit)
	end
end
-- END CLASSCOLOR NAMES